| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes
qx::IxSqlRelation Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::IxSqlRelation : common interface for all relationships defined between 2 classes (or between 2 tables in database) More...

`#include <IxSqlRelation.h>`

Inheritance diagram for qx::IxSqlRelation:

List of all members.

## Public Types
enum | relation_type { no_relation, one_to_one, one_to_many, many_to_one, many_to_many }
## Public Member Functions
| IxSqlRelation (IxDataMember *p)
virtual | ~IxSqlRelation ()=0
QxCollection< QString, IxDataMember * > * | getLstDataMember () const
IxSqlRelationX * | getLstRelation () const
void | setSqlJoinType (qx::dao::sql_join::join_type e)
qx::dao::sql_join::join_type | getSqlJoinType () const
relation_type | getRelationType () const
IxClass * | getClass () const
IxClass * | getClassOwner () const
IxDataMember * | getDataMember () const
IxDataMemberX * | getDataMemberX () const
IxDataMember * | getDataId () const
IxDataMember * | getDataIdOwner () const
QString | getKey () const
QString | getForeignKey () const
QString | getForeignKeyOwner () const
QString | getForeignKeyDataType () const
QString | getExtraTable () const
long | getDataCount () const
long | getRelationCount () const
IxDataMember * | getDataByKey (const QString &sKey) const
IxDataMember * | nextData (long &lIndex) const
IxSqlRelation * | nextRelation (long &lIndex) const
QString | table () const
QString | tableAlias (QxSqlRelationParams &params) const
QString | tableAliasOwner (QxSqlRelationParams &params) const
QString | getSqlJoin (qx::dao::sql_join::join_type e=qx::dao::sql_join::no_join) const
bool | traceSqlQuery () const
virtual void | init ()
virtual QString | getDescription () const =0
virtual QString | createExtraTable () const =0
virtual bool | getCartesianProduct () const =0
virtual QVariant | getIdFromQuery (bool bEager, QxSqlRelationParams &params, int iOffset, int iNameIndex) const =0
virtual void | updateOffset (bool bEager, QxSqlRelationParams &params) const =0
virtual void | createTable (QxSqlRelationParams &params) const =0
virtual void | lazySelect (QxSqlRelationParams &params) const =0
virtual void | eagerSelect (QxSqlRelationParams &params) const =0
virtual void | lazyFrom (QxSqlRelationParams &params) const =0
virtual void | eagerFrom (QxSqlRelationParams &params) const =0
virtual void | lazyJoin (QxSqlRelationParams &params) const =0
virtual void | eagerJoin (QxSqlRelationParams &params) const =0
virtual void | lazyWhere (QxSqlRelationParams &params) const =0
virtual void | eagerWhere (QxSqlRelationParams &params) const =0
virtual void | lazyWhereSoftDelete (QxSqlRelationParams &params) const =0
virtual void | eagerWhereSoftDelete (QxSqlRelationParams &params) const =0
virtual void | lazyFetch_ResolveInput (QxSqlRelationParams &params) const =0
virtual void | eagerFetch_ResolveInput (QxSqlRelationParams &params) const =0
virtual void | lazyFetch_ResolveOutput (QxSqlRelationParams &params) const =0
virtual void * | eagerFetch_ResolveOutput (QxSqlRelationParams &params) const =0
virtual void | lazyInsert (QxSqlRelationParams &params) const =0
virtual void | lazyInsert_Values (QxSqlRelationParams &params) const =0
virtual void | lazyUpdate (QxSqlRelationParams &params) const =0
virtual void | lazyInsert_ResolveInput (QxSqlRelationParams &params) const =0
virtual void | lazyUpdate_ResolveInput (QxSqlRelationParams &params) const =0
virtual QSqlError | onBeforeSave (QxSqlRelationParams &params) const =0
virtual QSqlError | onAfterSave (QxSqlRelationParams &params) const =0
bool | verifyOffset (QxSqlRelationParams &params, bool bId) const QX_USED
## Static Public Member Functions
static void | setTraceRelationInit (bool bTrace)
## Protected Member Functions
QVariant | getIdFromQuery_ManyToMany (bool bEager, QxSqlRelationParams &params, int iOffset, int iNameIndex) const
QVariant | getIdFromQuery_ManyToOne (bool bEager, QxSqlRelationParams &params, int iOffset, int iNameIndex) const
QVariant | getIdFromQuery_OneToMany (bool bEager, QxSqlRelationParams &params, int iOffset, int iNameIndex) const
QVariant | getIdFromQuery_OneToOne (bool bEager, QxSqlRelationParams &params, int iOffset, int iNameIndex) const
void | updateOffset_ManyToMany (bool bEager, QxSqlRelationParams &params) const
void | updateOffset_ManyToOne (bool bEager, QxSqlRelationParams &params) const
void | updateOffset_OneToMany (bool bEager, QxSqlRelationParams &params) const
void | updateOffset_OneToOne (bool bEager, QxSqlRelationParams &params) const
void | eagerSelect_ManyToMany (QxSqlRelationParams &params) const
void | eagerSelect_ManyToOne (QxSqlRelationParams &params) const
void | eagerSelect_OneToMany (QxSqlRelationParams &params) const
void | eagerSelect_OneToOne (QxSqlRelationParams &params) const
void | eagerJoin_ManyToMany (QxSqlRelationParams &params) const
void | eagerJoin_ManyToOne (QxSqlRelationParams &params) const
void | eagerJoin_OneToMany (QxSqlRelationParams &params) const
void | eagerJoin_OneToOne (QxSqlRelationParams &params) const
void | eagerWhereSoftDelete_ManyToMany (QxSqlRelationParams &params) const
void | eagerWhereSoftDelete_ManyToOne (QxSqlRelationParams &params) const
void | eagerWhereSoftDelete_OneToMany (QxSqlRelationParams &params) const
void | eagerWhereSoftDelete_OneToOne (QxSqlRelationParams &params) const
void | lazySelect_ManyToOne (QxSqlRelationParams &params) const
void | lazyInsert_ManyToOne (QxSqlRelationParams &params) const
void | lazyInsert_Values_ManyToOne (QxSqlRelationParams &params) const
void | lazyUpdate_ManyToOne (QxSqlRelationParams &params) const
void | createTable_ManyToOne (QxSqlRelationParams &params) const
QSqlError | deleteFromExtraTable_ManyToMany (QxSqlRelationParams &params) const
QString | createExtraTable_ManyToMany () const
bool | addLazyRelation (QxSqlRelationParams &params, IxSqlRelation *pRelation) const
bool | canInit () const
void | setIsSameDataOwner (int i)
void | setClass (IxClass *pClass, IxClass *pClassOwner)
void | setRelationType (relation_type e)
void | setForeignKey (const QString &s) const
void | setForeignKeyOwner (const QString &s) const
void | setForeignKeyDataType (const QString &s) const
void | setExtraTable (const QString &s) const
## Private Attributes
std::unique_ptr < IxSqlRelationImpl > | m_pImpl
| Private implementation idiom.

## Detailed Description

qx::IxSqlRelation : common interface for all relationships defined between 2 classes (or between 2 tables in database)

Definition at line 68 of file IxSqlRelation.h.

## Member Enumeration Documentation

enum qx::IxSqlRelation::relation_type

Enumerator:

  no_relation |
  one_to_one |
  one_to_many |
  many_to_one |
  many_to_many |

Definition at line 78 of file IxSqlRelation.h.

## Constructor & Destructor Documentation

qx::IxSqlRelation::IxSqlRelation | ( | IxDataMember * | p | ) |

virtual qx::IxSqlRelation::~IxSqlRelation | ( |  | ) | `[pure virtual]`

## Member Function Documentation

bool qx::IxSqlRelation::addLazyRelation | ( | QxSqlRelationParams & | params,
|  | IxSqlRelation * | pRelation
| ) |  | const`[protected]`

bool qx::IxSqlRelation::canInit | ( |  | ) | const`[protected]`

virtual QString qx::IxSqlRelation::createExtraTable | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToOne< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

QString qx::IxSqlRelation::createExtraTable_ManyToMany | ( |  | ) | const`[protected]`

virtual void qx::IxSqlRelation::createTable | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

void qx::IxSqlRelation::createTable_ManyToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

QSqlError qx::IxSqlRelation::deleteFromExtraTable_ManyToMany | ( | QxSqlRelationParams & | params | ) | const`[protected]`

virtual void qx::IxSqlRelation::eagerFetch_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

virtual void* qx::IxSqlRelation::eagerFetch_ResolveOutput | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToMany< DataType, Owner >.

virtual void qx::IxSqlRelation::eagerFrom | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

virtual void qx::IxSqlRelation::eagerJoin | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToMany< DataType, Owner >.

void qx::IxSqlRelation::eagerJoin_ManyToMany | ( | QxSqlRelationParams & | params | ) | const`[protected]`

void qx::IxSqlRelation::eagerJoin_ManyToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

void qx::IxSqlRelation::eagerJoin_OneToMany | ( | QxSqlRelationParams & | params | ) | const`[protected]`

void qx::IxSqlRelation::eagerJoin_OneToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

virtual void qx::IxSqlRelation::eagerSelect | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToMany< DataType, Owner >.

void qx::IxSqlRelation::eagerSelect_ManyToMany | ( | QxSqlRelationParams & | params | ) | const`[protected]`

void qx::IxSqlRelation::eagerSelect_ManyToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

void qx::IxSqlRelation::eagerSelect_OneToMany | ( | QxSqlRelationParams & | params | ) | const`[protected]`

void qx::IxSqlRelation::eagerSelect_OneToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

virtual void qx::IxSqlRelation::eagerWhere | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

virtual void qx::IxSqlRelation::eagerWhereSoftDelete | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToMany< DataType, Owner >.

void qx::IxSqlRelation::eagerWhereSoftDelete_ManyToMany | ( | QxSqlRelationParams & | params | ) | const`[protected]`

void qx::IxSqlRelation::eagerWhereSoftDelete_ManyToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

void qx::IxSqlRelation::eagerWhereSoftDelete_OneToMany | ( | QxSqlRelationParams & | params | ) | const`[protected]`

void qx::IxSqlRelation::eagerWhereSoftDelete_OneToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

virtual bool qx::IxSqlRelation::getCartesianProduct | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_ManyToOne< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

IxClass* qx::IxSqlRelation::getClass | ( |  | ) | const

IxClass* qx::IxSqlRelation::getClassOwner | ( |  | ) | const

IxDataMember* qx::IxSqlRelation::getDataByKey | ( | const QString & | sKey | ) | const

long qx::IxSqlRelation::getDataCount | ( |  | ) | const

IxDataMember* qx::IxSqlRelation::getDataId | ( |  | ) | const

IxDataMember* qx::IxSqlRelation::getDataIdOwner | ( |  | ) | const

IxDataMember* qx::IxSqlRelation::getDataMember | ( |  | ) | const

IxDataMemberX* qx::IxSqlRelation::getDataMemberX | ( |  | ) | const

virtual QString qx::IxSqlRelation::getDescription | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToOne< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

QString qx::IxSqlRelation::getExtraTable | ( |  | ) | const

QString qx::IxSqlRelation::getForeignKey | ( |  | ) | const

QString qx::IxSqlRelation::getForeignKeyDataType | ( |  | ) | const

QString qx::IxSqlRelation::getForeignKeyOwner | ( |  | ) | const

virtual QVariant qx::IxSqlRelation::getIdFromQuery | ( | bool | bEager,
|  | QxSqlRelationParams & | params,
|  | int | iOffset,
|  | int | iNameIndex
| ) |  | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

QVariant qx::IxSqlRelation::getIdFromQuery_ManyToMany | ( | bool | bEager,
|  | QxSqlRelationParams & | params,
|  | int | iOffset,
|  | int | iNameIndex
| ) |  | const`[protected]`

QVariant qx::IxSqlRelation::getIdFromQuery_ManyToOne | ( | bool | bEager,
|  | QxSqlRelationParams & | params,
|  | int | iOffset,
|  | int | iNameIndex
| ) |  | const`[protected]`

QVariant qx::IxSqlRelation::getIdFromQuery_OneToMany | ( | bool | bEager,
|  | QxSqlRelationParams & | params,
|  | int | iOffset,
|  | int | iNameIndex
| ) |  | const`[protected]`

QVariant qx::IxSqlRelation::getIdFromQuery_OneToOne | ( | bool | bEager,
|  | QxSqlRelationParams & | params,
|  | int | iOffset,
|  | int | iNameIndex
| ) |  | const`[protected]`

QString qx::IxSqlRelation::getKey | ( |  | ) | const

QxCollection<QString, IxDataMember *>* qx::IxSqlRelation::getLstDataMember | ( |  | ) | const

IxSqlRelationX* qx::IxSqlRelation::getLstRelation | ( |  | ) | const

long qx::IxSqlRelation::getRelationCount | ( |  | ) | const

relation_type qx::IxSqlRelation::getRelationType | ( |  | ) | const

QString qx::IxSqlRelation::getSqlJoin | ( | qx::dao::sql_join::join_type | e = `qx::dao::sql_join::no_join` | ) | const

qx::dao::sql_join::join_type qx::IxSqlRelation::getSqlJoinType | ( |  | ) | const

virtual void qx::IxSqlRelation::init | ( |  | ) | `[virtual]`

Reimplemented in qx::QxSqlRelation< DataType, Owner >.

virtual void qx::IxSqlRelation::lazyFetch_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

virtual void qx::IxSqlRelation::lazyFetch_ResolveOutput | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

virtual void qx::IxSqlRelation::lazyFrom | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

virtual void qx::IxSqlRelation::lazyInsert | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

void qx::IxSqlRelation::lazyInsert_ManyToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

virtual void qx::IxSqlRelation::lazyInsert_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

virtual void qx::IxSqlRelation::lazyInsert_Values | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

void qx::IxSqlRelation::lazyInsert_Values_ManyToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

virtual void qx::IxSqlRelation::lazyJoin | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

virtual void qx::IxSqlRelation::lazySelect | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

void qx::IxSqlRelation::lazySelect_ManyToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

virtual void qx::IxSqlRelation::lazyUpdate | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToOne< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

void qx::IxSqlRelation::lazyUpdate_ManyToOne | ( | QxSqlRelationParams & | params | ) | const`[protected]`

virtual void qx::IxSqlRelation::lazyUpdate_ResolveInput | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_ManyToOne< DataType, Owner >, and qx::QxSqlRelation_OneToOne< DataType, Owner >.

virtual void qx::IxSqlRelation::lazyWhere | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

virtual void qx::IxSqlRelation::lazyWhereSoftDelete | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

IxDataMember* qx::IxSqlRelation::nextData | ( | long & | lIndex | ) | const

IxSqlRelation* qx::IxSqlRelation::nextRelation | ( | long & | lIndex | ) | const

virtual QSqlError qx::IxSqlRelation::onAfterSave | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

virtual QSqlError qx::IxSqlRelation::onBeforeSave | ( | QxSqlRelationParams & | params | ) | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

void qx::IxSqlRelation::setClass | ( | IxClass * | pClass,
|  | IxClass * | pClassOwner
| ) |  | `[protected]`

void qx::IxSqlRelation::setExtraTable | ( | const QString & | s | ) | const`[protected]`

void qx::IxSqlRelation::setForeignKey | ( | const QString & | s | ) | const`[protected]`

void qx::IxSqlRelation::setForeignKeyDataType | ( | const QString & | s | ) | const`[protected]`

void qx::IxSqlRelation::setForeignKeyOwner | ( | const QString & | s | ) | const`[protected]`

void qx::IxSqlRelation::setIsSameDataOwner | ( | int | i | ) | `[protected]`

void qx::IxSqlRelation::setRelationType | ( | relation_type | e | ) | `[protected]`

void qx::IxSqlRelation::setSqlJoinType | ( | qx::dao::sql_join::join_type | e | ) |

static void qx::IxSqlRelation::setTraceRelationInit | ( | bool | bTrace | ) | `[static]`

QString qx::IxSqlRelation::table | ( |  | ) | const

QString qx::IxSqlRelation::tableAlias | ( | QxSqlRelationParams & | params | ) | const

QString qx::IxSqlRelation::tableAliasOwner | ( | QxSqlRelationParams & | params | ) | const

bool qx::IxSqlRelation::traceSqlQuery | ( |  | ) | const

virtual void qx::IxSqlRelation::updateOffset | ( | bool | bEager,
|  | QxSqlRelationParams & | params
| ) |  | const`[pure virtual]`

Implemented in qx::QxSqlRelation_OneToMany< DataType, Owner >, qx::QxSqlRelation_OneToOne< DataType, Owner >, qx::QxSqlRelation_ManyToMany< DataType, Owner >, and qx::QxSqlRelation_ManyToOne< DataType, Owner >.

void qx::IxSqlRelation::updateOffset_ManyToMany | ( | bool | bEager,
|  | QxSqlRelationParams & | params
| ) |  | const`[protected]`

void qx::IxSqlRelation::updateOffset_ManyToOne | ( | bool | bEager,
|  | QxSqlRelationParams & | params
| ) |  | const`[protected]`

void qx::IxSqlRelation::updateOffset_OneToMany | ( | bool | bEager,
|  | QxSqlRelationParams & | params
| ) |  | const`[protected]`

void qx::IxSqlRelation::updateOffset_OneToOne | ( | bool | bEager,
|  | QxSqlRelationParams & | params
| ) |  | const`[protected]`

bool qx::IxSqlRelation::verifyOffset | ( | QxSqlRelationParams & | params,
|  | bool | bId
| ) |  | const

## Member Data Documentation

std::unique_ptr<IxSqlRelationImpl> qx::IxSqlRelation::m_pImpl`[private]`

Private implementation idiom.

Definition at line 73 of file IxSqlRelation.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxDao/IxSqlRelation.h